Bug 2035617 - multiple games broken since update to version 3.22.19
Summary: multiple games broken since update to version 3.22.19
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aisleriot
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-25 19:50 UTC by Fabio Valentini
Modified: 2022-01-11 02:24 UTC (History)
4 users (show)

Fixed In Version: aisleriot-3.22.20-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-11 02:24:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2021-12-25 19:50:11 UTC
- last known good version: aisleriot-1:3.22.9-8.fc35.x86_64
- first broken version: aisleriot-1:3.22.19-1.fc35.x86_64

I don't know what happened between these two builds, but multiple games became unplayable. I pinned my local install to the "old" version from the "fedora" repo, since the one from the "updates" repo is very broken.

For example, launching a game of "Spider Three Decks" only fills the last 4 of 12 card slots at the top (none should be filled, as those are the target stacks), and only 6 out of 12 stacks of cards on the board (all 12 should be filled). Another example is "Kings Audience", where it is possible to cause glitches where duplicates of the same card appear on the board (which should not happen).

Comment 1 Fabio Valentini 2021-12-25 19:51:22 UTC
(CCing the maintainer who actually pushed this update.)

Comment 2 Christian Persch 2022-01-03 17:00:38 UTC
The spider-3-decks issue is fixed upstream by https://gitlab.gnome.org/GNOME/aisleriot/-/issues/919 . The other games mentioned need to be checked whether they are fixed too, or else be filed upstream separately.

Comment 3 Fedora Update System 2022-01-04 15:03:08 UTC
FEDORA-2022-a1354d95a9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a1354d95a9

Comment 4 Fedora Update System 2022-01-05 01:14:44 UTC
FEDORA-2022-a1354d95a9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a1354d95a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a1354d95a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-11 02:24:09 UTC
FEDORA-2022-a1354d95a9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.